// Arquivo de exemplo: ArquivoUpload.aspx.cs
using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
public partial class ArquivoUpload : System.Web.UI.Page {
	protected void btnUpload_Click(object sender, EventArgs e) {
		string arquivo = @"C:\livro\capitulo6\";
		if (FileUpload1.HasFile) {
			if (Permitir(FileUpload1.FileName))
			{
				try {
					arquivo += FileUpload1.FileName;
					FileUpload1.SaveAs(arquivo);
					lblMensagem.Text = "Arquivo enviado com sucesso.";
					txtConteudo.Text=LerArquivo(FileUpload1.FileContent);
				}
				catch (HttpException ex) {
					lblMensagem.Text = "Error ao enviar arquivo.";
				}
			}
			else {
				lblMensagem.Text = "Extensão de arquivo não permitida.";
			}
		}
	}

	private string LerArquivo(Stream str) {
		StreamReader sr = new StreamReader(str,System.Text.Encoding.GetEncoding("ISO-8859-1"));
		return sr.ReadToEnd();
	}

	private bool Permitir(string arquivo) {
		string extensao = System.IO.Path.GetExtension(arquivo).ToLower();
		string[] permitidos ={ ".txt", ".doc"};
		for (int i = 0; i < permitidos.Length; i++) 	{
			if (string.Compare(extensao,permitidos[i])==0) {
				return true; }
		}
		return false;
	}
}
